{ pkgs, ... }:
{
  programs.neovim = {
    enable = true;
    extraPackages = with pkgs; [
      # LazyVim
      lua-language-server
      stylua
      # Telescope
      ripgrep
    ];

    plugins = with pkgs.vimPlugins; [
      lazy-nvim
    ];
  };

  home.sessionVariables.EDITOR = "nvim";

  xdg.configFile."nvim/init.lua".source = ../../../dotfiles/nvim/init.lua;
  xdg.configFile."nvim/stylua.toml".source = ../../../dotfiles/nvim/stylua.toml;
  xdg.configFile."nvim/.neoconf.json".source = ../../../dotfiles/nvim/.neoconf.json;
  xdg.configFile."nvim/lua".source = ../../../dotfiles/nvim/lua;
}
